Skip to content

Get order-order restriction set

Request

Retrieves detailed information on the given order-order restriction set.

Security
clientCredentials
Path
idstring^[a-zA-Z0-9.~\-_]{1,200}$required

The unique identifier of an entity

curl -i -X GET \
  'https://developer.conundra.eu/_mock/apis/plannings/planning-api/settings/order-order-restriction-sets/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Headers
ETagstring

A weak Etag (ex W/"<etag_value>") which contains the current version of the entity

Example:"W/\"25\""
Bodyapplication/json
idstring(Id)^[a-zA-Z0-9.~\-_]{1,200}$read-only

The unique identifier for the order-order restriction set.

Example:"cb1fb12c-0abc-413c-a69d-63c62566685f"
namestring, [ 1 .. 250 ] charactersrequired

The name of the order-order restriction set

Example:"Ambient goods not with chilled goods"
restrictionsArray of objects, non-empty(OrderOrderRestriction)required

List of order-order restrictions in this set

Response
{ "id": "cb1fb12c-0abc-413c-a69d-63c62566685f", "name": "Ambient goods not with chilled goods", "restrictions": [ {} ] }